summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-oci8
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-ruby/ruby-oci8
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadsrcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
srcux-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-ruby/ruby-oci8')
-rw-r--r--dev-ruby/ruby-oci8/Manifest2
-rw-r--r--dev-ruby/ruby-oci8/metadata.xml20
-rw-r--r--dev-ruby/ruby-oci8/ruby-oci8-2.2.7.ebuild40
-rw-r--r--dev-ruby/ruby-oci8/ruby-oci8-2.2.8.ebuild39
4 files changed, 101 insertions, 0 deletions
diff --git a/dev-ruby/ruby-oci8/Manifest b/dev-ruby/ruby-oci8/Manifest
new file mode 100644
index 000000000000..1c1de543d541
--- /dev/null
+++ b/dev-ruby/ruby-oci8/Manifest
@@ -0,0 +1,2 @@
+DIST ruby-oci8-2.2.7.gem 337408 BLAKE2B e5f9d620e7df2b64643981614a3df877fd2bb9c5047e16d5aec6885259190faa437687c440c226a03bb70d4ca0a14155da4d64b442e9a532234b9cf047f7455c SHA512 03ecd7d0b94a8a8d164afec0f71c862c10d57d6d227b971384678a39e40bbf7dc14e7267c9133f3ec466fcaa5da46d78c6804d34187790cc8c23289ab9093fcd
+DIST ruby-oci8-2.2.8.gem 338432 BLAKE2B e1db0c29ba71fff190b94c5946bc5025d4809ad92e154ddc5de2c2e1a4ccf856e81e33589ed17e303fe8708cd9f47e131e803bb534981da496f9f5820d895d0d SHA512 4184a7899384a6dd6ce9f152371015aeb1d6f09c37c48a368a1919168ddf0eb340bc8d576abdc1f804c2c776685ca9afc660104e35e2666d7c59cc16fd2c84f7
diff --git a/dev-ruby/ruby-oci8/metadata.xml b/dev-ruby/ruby-oci8/metadata.xml
new file mode 100644
index 000000000000..240b741aa185
--- /dev/null
+++ b/dev-ruby/ruby-oci8/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>troy@lump.net</email>
+ <name>Troy Bowman</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="rubygems">ruby-oci8</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-ruby/ruby-oci8/ruby-oci8-2.2.7.ebuild b/dev-ruby/ruby-oci8/ruby-oci8-2.2.7.ebuild
new file mode 100644
index 000000000000..4e29e5166b57
--- /dev/null
+++ b/dev-ruby/ruby-oci8/ruby-oci8-2.2.7.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+inherit multilib ruby-fakegem
+
+RUBY_FAKEGEM_EXTRADOC="NEWS README.md ChangeLog"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+DESCRIPTION="A Ruby library for Oracle OCI8"
+HOMEPAGE="https://rubygems.org/gems/ruby-oci8/"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="amd64 ~x86"
+IUSE=""
+
+RDEPEND+=" dev-db/oracle-instantclient-basic"
+DEPEND+=" dev-db/oracle-instantclient-basic"
+
+EXT_DIR="ext/oci8"
+
+each_ruby_configure() {
+ # configure the native libraries
+ ${RUBY} -C${EXT_DIR} extconf.rb --prefix="${D}/usr" || die "configure failed"
+}
+
+each_ruby_compile() {
+ # compile the native libraries
+ emake -C ${EXT_DIR} V=1
+}
+
+each_ruby_install() {
+ # install the native libraries
+ emake -C ${EXT_DIR} install DESTDIR="${D}"
+ # install the gem files
+ each_fakegem_install
+}
diff --git a/dev-ruby/ruby-oci8/ruby-oci8-2.2.8.ebuild b/dev-ruby/ruby-oci8/ruby-oci8-2.2.8.ebuild
new file mode 100644
index 000000000000..0eb354ca1b47
--- /dev/null
+++ b/dev-ruby/ruby-oci8/ruby-oci8-2.2.8.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+inherit multilib ruby-fakegem
+
+RUBY_FAKEGEM_EXTRADOC="NEWS README.md ChangeLog"
+
+DESCRIPTION="A Ruby library for Oracle OCI8"
+HOMEPAGE="https://rubygems.org/gems/ruby-oci8/"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND+=" dev-db/oracle-instantclient-basic"
+DEPEND+=" dev-db/oracle-instantclient-basic"
+
+EXT_DIR="ext/oci8"
+
+each_ruby_configure() {
+ # configure the native libraries
+ ${RUBY} -C${EXT_DIR} extconf.rb --prefix="${D}/usr" || die "configure failed"
+}
+
+each_ruby_compile() {
+ # compile the native libraries
+ emake -C ${EXT_DIR} V=1
+}
+
+each_ruby_install() {
+ # install the native libraries
+ emake -C ${EXT_DIR} install DESTDIR="${D}"
+ # install the gem files
+ each_fakegem_install
+}